import 'package:stateful_provider/model/nothing.dart';
import 'package:stateful_provider/model/page_request.dart';
import 'package:stateful_provider/provider/base_provider.dart';
import 'query_pageable.dart';

class Pageable<Model> extends QueryPageable<Model, Nothing> {
  Pageable(
    BaseProvider provider,
    Future<List<Model>> Function(QueryPageRequest<Nothing> page) apiCall,
  ) : super(
          provider,
          (QueryPageRequest<Nothing> query) => apiCall(query),
          const Nothing(),
        );
}
